import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Locale;
import java.util.TimeZone;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;
import quadbase.reportdesigner.util.LocaleDateTimeFormat;
import quadbase.reportdesigner.util.LocaleNumericFormat;

public class LocaleObject extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			LocaleObject report = new LocaleObject();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doSetChartPath(frame));
			frame.addWindowListener(new WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public void init() {
		setLayout(new BorderLayout());
		add("Center", doSetChartPath(this));
	}

	Component doSetChartPath(Object parent)  {

		// Do not use ERES Server
		QbReport.setEspressManagerUsed(false);

		// Open the template
		QbReport report = new QbReport (parent,          										// container 
										"LocaleReport.rpt");				// template

		// Set the locale for column "Unit Price" column
		LocaleNumericFormat currencyFormat = LocaleNumericFormat.getCurrencyInstance();
		currencyFormat.setLocale(Locale.UK);
		int columnIndex = 2; //column 2 is the "Unit Price" column
		report.getTable().getColumn(columnIndex).setDataFormat(currencyFormat);
		
		// Set the timezone for date
		LocaleDateTimeFormat dateFormat = LocaleDateTimeFormat.getDateInstance();
		dateFormat.setTimeZone(TimeZone.getTimeZone("GMT"));
		report.getPageFooter().getData(1).setDataFormat(dateFormat);

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}

}
